Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.bytecode
Class CopyCompiler

    java.lang.Object
      com.saxonica.bytecode.ExpressionCompiler
          com.saxonica.bytecode.ToIteratorCompiler
              com.saxonica.bytecode.ToPushCompiler
                  com.saxonica.bytecode.CopyCompiler

    public class CopyCompiler

extends ToPushCompiler

Generate bytecode for an xsl:copy instruction

Constructor Summary
`CopyCompiler()`

Method Summary
`protected static void` | `compileCopyAttribute(CompilerService compiler, ValidatingInstruction expression, int selectedItemVar, boolean preserveTypes)`
`protected static void` | `compileCopyComment(CompilerService compiler, Expression expression, int selectedItemVar)`
`protected static void` | `compileCopyNamespace(CompilerService compiler, Expression expression, int selectedItemVar)`
`protected static void` | `compileCopyNonNode(CompilerService compiler, Expression expression, int selectedItemVar)`
`protected static void` | `compileCopyProcessingInstruction(CompilerService compiler, Expression expression, int selectedItemVar)`
`protected static void` | `compileCopyText(CompilerService compiler, Expression expression, int selectedItemVar)`
`void` | `compileToPush(CompilerService compiler, Expression expression)` Generate bytecode to evaluate the expression in push mode Precondition: none.

Methods inherited from class com.saxonica.bytecode.ToPushCompiler
`compileToItem, compileToIterator`

Methods inherited from class com.saxonica.bytecode.ToIteratorCompiler
`compileToBoolean`

Methods inherited from class com.saxonica.bytecode.ExpressionCompiler
`allocateStatic, compileItemFromInt, compileItemFromString, compileToLoop, compileToPrimitive, generateMethod, getConfiguration, handleEmptyStringResult, setConfiguration, throwXPathException, throwXPathException, unboxItem, verify, visitAnnotation, visitLineNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyCompiler

    public CopyCompiler()

Method Detail

### compileToPush

    public void compileToPush(CompilerService compiler,
                              Expression expression)
                       throws CannotCompileException

  Description copied from class: `ExpressionCompiler`
  Generate bytecode to evaluate the expression in push mode Precondition: none. Postcondition: at execution time, the stack is unchanged, and the value of the expression has been written to the current receiver

  Overrides:
    `compileToPush` in class `ToIteratorCompiler`
  Parameters:
    `compiler` - the compiler service
    `expression` - the expression to be compiled
  Throws:
    `CannotCompileException`

### compileCopyAttribute

    protected static void compileCopyAttribute(CompilerService compiler,
                                               ValidatingInstruction expression,
                                               int selectedItemVar,
                                               boolean preserveTypes)
                                        throws CannotCompileException

  Throws:
    `CannotCompileException`

### compileCopyNamespace

    protected static void compileCopyNamespace(CompilerService compiler,
                                               Expression expression,
                                               int selectedItemVar)
                                        throws CannotCompileException

  Throws:
    `CannotCompileException`

### compileCopyText

    protected static void compileCopyText(CompilerService compiler,
                                          Expression expression,
                                          int selectedItemVar)
                                   throws CannotCompileException

  Throws:
    `CannotCompileException`

### compileCopyComment

    protected static void compileCopyComment(CompilerService compiler,
                                             Expression expression,
                                             int selectedItemVar)
                                      throws CannotCompileException

  Throws:
    `CannotCompileException`

### compileCopyProcessingInstruction

    protected static void compileCopyProcessingInstruction(CompilerService compiler,
                                                           Expression expression,
                                                           int selectedItemVar)
                                                    throws CannotCompileException

  Throws:
    `CannotCompileException`

### compileCopyNonNode

    protected static void compileCopyNonNode(CompilerService compiler,
                                             Expression expression,
                                             int selectedItemVar)
                                      throws CannotCompileException

  Throws:
    `CannotCompileException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.